#pragma once
#include "grbc/generator.h"
#include "grbc/spec.h"
#include <sol/sol.hpp>

struct GState {
    Platform current_platform;
    sol::state lua;

    std::vector<GeneratorTarget> targets;

    std::vector<Generator> generators;

    std::string ninja_output;

    static GState& get() {
        static GState state{};

        return state;
    }
};